Returns whether the heartbeat used a streaming protocol

- « MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::getReply

- MongoDB\Driver\Monitoring\TopologyChangedEvent »

- PHP Manual
- MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent
- Returns whether the heartbeat used a streaming protocol

# MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::isAwaited

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::isAwaited — Returns whether the heartbeat used a streaming protocol

### Description

final public MongoDB\Driver\Monitoring\ServerHeartbeatSucceededEvent::isAwaited(): bool

Returns whether the heartbeat used a streaming protocol. The extension does not use the streaming protocol for monitoring, so this method will always return `false`.

### Parameters

This function has no parameters.

### Return Values

Returns `false`.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.